OpenVDB: openvdb::v12_0::points::point_move_internal Namespace Reference

OpenVDB 12.0.1 |

Loading...
Searching...
No Matches
Classes | Typedefs | Functions
openvdb::v12_0::points::point_move_internal Namespace Reference

## Classes
struct | BuildMoveMapsOp
struct | GlobalMovePointsOp
struct | LocalMovePointsOp

## Typedefs
using | LeafIndex = Index32
using | IndexArray = std::vector<Index>
using | IndexTriple = std::tuple<LeafIndex, Index, Index>
using | IndexTripleArray = tbb::concurrent_vector<IndexTriple>
using | GlobalPointIndexMap = std::vector<IndexTripleArray>
using | GlobalPointIndexIndices = std::vector<IndexArray>
using | IndexPair = std::pair<Index, Index>
using | IndexPairArray = std::vector<IndexPair>
using | LocalPointIndexMap = std::vector<IndexPairArray>
using | LeafIndexArray = std::vector<LeafIndex>
using | LeafOffsetArray = std::vector<LeafIndexArray>
using | LeafMap = std::unordered_map<Coord, LeafIndex>

## Functions
template<typename LeafT>
Index | indexOffsetFromVoxel (const Index voxelOffset, const LeafT &leaf, IndexArray &offsets)

## Typedef Documentation

## ◆ GlobalPointIndexIndices

using GlobalPointIndexIndices = std::vector<IndexArray>

## ◆ GlobalPointIndexMap

using GlobalPointIndexMap = std::vector<IndexTripleArray>

## ◆ IndexArray

using IndexArray = std::vector<Index>

## ◆ IndexPair

using IndexPair = std::pair<Index, Index>

## ◆ IndexPairArray

using IndexPairArray = std::vector<IndexPair>

## ◆ IndexTriple

using IndexTriple = std::tuple<LeafIndex, Index, Index>

## ◆ IndexTripleArray

using IndexTripleArray = tbb::concurrent_vector<IndexTriple>

## ◆ LeafIndex

using LeafIndex = Index32

## ◆ LeafIndexArray

using LeafIndexArray = std::vector<LeafIndex>

## ◆ LeafMap

using LeafMap = std::unordered_map<Coord, LeafIndex>

## ◆ LeafOffsetArray

using LeafOffsetArray = std::vector<LeafIndexArray>

## ◆ LocalPointIndexMap

using LocalPointIndexMap = std::vector<IndexPairArray>

## Function Documentation

## ◆ indexOffsetFromVoxel()

template<typename LeafT>

Index indexOffsetFromVoxel | ( | const Index | voxelOffset,
|  | const LeafT & | leaf,
|  | IndexArray & | offsets )
| inline